function init(hero) {

    hero.setName("Moon Knight");

    hero.setVersion("Comics");

    hero.setTier(4);

    

    hero.setHelmet("Cowl");

    hero.setChestplate("Chestplate");

    hero.setLeggings("Pants");

    hero.setBoots("Boots");

    hero.addEquipment("fiskheroes:grappling_gun");

    hero.addEquipment("fiskheroes:captain_americas_shield");

    hero.addEquipment("fiskheroes:prometheus_sword");

    hero.addEquipment("fiskheroes:deadpools_swords");

    

    hero.addAbilities("fiskheroes:utility_belt", "fiskheroes:gliding", "fiskheroes:cellular_regeneration", "fiskheroes:enhanced_reflexes");

    hero.addAttribute("ATTACK_DAMAGE", 0.7, 1);

    hero.addAttribute("FALL_RESISTANCE", 6.0, 0);

    hero.addAttribute("JUMP_HEIGHT", 1.8, 0);

    hero.addAttribute("PUNCH_DAMAGE", 8.5, 0);

    hero.addAttribute("SPRINT_SPEED", 0.3, 1);

    

    hero.addKeyBind("UTILITY_SWITCH", "key.utilitySwitch", 1);

    hero.addKeyBind("UTILITY_RESET", "key.utilityReset", 2);

    

    hero.setHasPermission(hasPermission);

}



function hasPermission(entity, permission) {

    return permission == "USE_GRAPPLING_GUN";

    return permission == "THROW_SHIELD" || permission == "USE_SHIELD";

}

